package aFace;
//-------------------------------------------------------------------------------
//
// MainFace.java                                        Ulrich Mller    20.02.09
//                                                      Aspire Eclipse 3.4 Java 6
// Testprogramm fr die Klasse FishFace (Console)
//
// -------------------------------------------------------------------------------

import ftcomputing.robo.*;

public class MainFace {
	FishFace ft = new FishFace();

	public static void main(String[] args) {
		MainFace mf = new MainFace();
		System.out.println("AFace gestartet");
		System.out.println("FishFace-Version : " + FishFace.Version());
		try {
		  mf.Action(333);
		}
		catch(FishFaceException eft) {
		  System.out.println(eft);	
		}
		finally {
		  System.out.println("Finito");
		}
	}
	private void Action(int Dauer) {
	    ft.openInterface(0,0);
		//ft.openInterface(0, 0, Distance.UltraSonic);
	    FishFace.DeviceData dd = ft.getActDevice();
	    System.out.println("Device     : " + ft.getActDevice().Name);
	    System.out.println("DeviceType : " + dd.Type);
	    System.out.println("SerialNr   : " + dd.SerialNr);
	    System.out.println("Firmware   : " + dd.Firmware);
	    
        Explore();
	    int Runde = 0;
	    do {
	        System.out.println("Runde    : " + ++Runde);
	        System.out.println("Distance : " + ft.getDistance(Inp.D1));
	        ft.setLamp(1, Dir.On);
	        ft.pause(Dauer);
			ft.setLamp(2, Dir.On);
	        ft.pause(Dauer);
	        ft.setLamp(3, Dir.On);
	        ft.pause(Dauer);
	        ft.setLamp(4, Dir.On);
	        ft.pause(Dauer * 2);
		    ft.setMotors(0);
		    ft.pause(Dauer);
	    } while(FishFace.escape() == 0);
	    ft.closeInterface();
	    System.out.println("--- FINITO ---");
	}
	
	private void Explore(){
		System.out.println("Explorer vor");
		ft.setMotor(Mot.M3, Dir.Left, Speed.Full, 12);
		ft.setMotor(Mot.M4, Dir.Right, Speed.Half, 34);
		ft.waitForMotors(0, Mot.M3, Mot.M4);
		System.out.println("Helligkeit : " + ft.getAnalog(Inp.AX));
	}
}
